Skip to content

Register, rotate, or clear this device's Expo push endpoint

PUT
/v1/mobile/devices/current/push
curl --request PUT \
--url https://api.vocapable.com/v1/mobile/devices/current/push \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "push_token": "example", "device_label": "example" }'
Media typeapplication/json
MobileDevicePushRegistrationRequest

Register, rotate, or clear the app’s Expo push endpoint for this device.

object
push_token
Any of:
string
>= 1 characters <= 4096 characters
device_label
Any of:
string
>= 1 characters <= 200 characters
Examplegenerated
{
"push_token": "example",
"device_label": "example"
}

Successful Response

Media typeapplication/json
MobileDeviceSummary
object
id
required
Id
string
platform
required
Platform
string
Allowed values: ios android
device_label
Any of:
string
status
required
Status
string
Allowed values: active revoked
last_seen_at
required
Last Seen At
string format: date-time
Example
{
"platform": "ios",
"status": "active"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}